PaymentsOrders
Cancel created payment by unique id
This endpoint allows you to cancel your payment by its id.
You can only cancel payments, that have status created.
Canceling a payment means that we are not expecting a deposit on static wallet for this payment, and it will be excluded from further processing.
The id path parameter represents the unique payment identifier.
Payment IDs can be obtained from the payments listing endpoint GET /api/v1/payments or from the response of creation endpoint POST /api/v1/payments.
Path Parameters
id*integer
Payment unique id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
curl -X DELETE "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/cancel/1" \ -H "Authorization: string"{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}